Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JSR 172 - J2ME[tm] Web Services
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi
Class RemoteException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--java.rmi.RemoteException

Direct Known Subclasses:
  MarshalException, ServerException

public class RemoteException
extends java.io.IOException

A `RemoteException` is the common superclass for a number of communication-related exceptions that may occur during the execution of a remote method call. Each method of a remote interface, an interface that extends `java.rmi.Remote`, must list `RemoteException` in its throws clause.

Since:
  JDK1.1

Field Summary
`java.lang.Throwable` | `detail` Nested Exception to hold wrapped remote exception.

Constructor Summary
`RemoteException()` Constructs a `RemoteException` with no specified detail message.
`RemoteException(java.lang.String s)` Constructs a `RemoteException` with the specified detail message.
`RemoteException(java.lang.String s, java.lang.Throwable ex)` Constructs a `RemoteException` with the specified detail message and nested exception.

Method Summary
`java.lang.String` | `getMessage()` Returns the detail message, including the message from the nested exception if there is one.

Methods inherited from class java.lang.Throwable
`printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### detail

    public java.lang.Throwable detail

  Nested Exception to hold wrapped remote exception.

  This field predates the general-purpose exception chaining facility.

  Since:
    JDK1.1

Constructor Detail

### RemoteException

    public RemoteException()

  Constructs a `RemoteException` with no specified detail message.

Since:
  JDK1.1

### RemoteException

    public RemoteException(java.lang.String s)

  Constructs a `RemoteException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  JDK1.1

### RemoteException

    public RemoteException(java.lang.String s,
                           java.lang.Throwable ex)

  Constructs a `RemoteException` with the specified detail message and nested exception.

Parameters:
  `s` - the detail message
  `ex` - the nested exception
Since:
  JDK1.1

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the detail message, including the message from the nested exception if there is one.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JSR 172 - J2ME[tm] Web Services
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 1.0 of J2ME Web Services Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved. Use is subject to license terms.